Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/SAS/stpctl.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/SAS/stpctl.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/SAS/stpctl.F90	(revision 12210)
@@ -63,5 +63,5 @@
       !
       ll_wrtstp  = ( MOD( kt, sn_cfctl%ptimincr ) == 0 ) .OR. ( kt == nitend )
-      ll_colruns = ll_wrtstp .AND. ( ln_ctl .OR. sn_cfctl%l_runstat )
+      ll_colruns = ll_wrtstp .AND. ( sn_cfctl%l_runstat )
       ll_wrtruns = ll_colruns .AND. lwm
       IF( kt == nit000 .AND. lwp ) THEN
@@ -73,5 +73,5 @@
          !                                ! open run.stat file(s) at start whatever
          !                                ! the value of sn_cfctl%ptimincr
-         IF( lwm .AND. ( ln_ctl .OR. sn_cfctl%l_runstat ) ) THEN
+         IF( lwm .AND. ( sn_cfctl%l_runstat ) ) THEN
             CALL ctl_opn( numrun, 'run.stat', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, narea )
             clname = 'run.stat.nc'
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P2Z/p2zbio.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P2Z/p2zbio.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P2Z/p2zbio.F90	(revision 12210)
@@ -367,5 +367,5 @@
       ENDIF
 
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('bio')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P2Z/p2zexp.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P2Z/p2zexp.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P2Z/p2zexp.F90	(revision 12210)
@@ -146,5 +146,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('exp')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P2Z/p2zopt.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P2Z/p2zopt.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P2Z/p2zopt.F90	(revision 12210)
@@ -133,5 +133,5 @@
 
 
-      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('opt')")
          CALL prt_ctl_trc_info( charout )
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P2Z/p2zsed.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P2Z/p2zsed.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P2Z/p2zsed.F90	(revision 12210)
@@ -107,5 +107,5 @@
       !
 
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('sed')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zagg.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zagg.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zagg.F90	(revision 12210)
@@ -173,5 +173,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('agg')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zbio.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zbio.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zbio.F90	(revision 12210)
@@ -106,5 +106,5 @@
       & CALL p4z_ligand( kt, knt )
       !                                                             !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('bio ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zfechem.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zfechem.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zfechem.F90	(revision 12210)
@@ -220,5 +220,5 @@
       ENDIF
 
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('fechem')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zflx.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zflx.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zflx.F90	(revision 12210)
@@ -179,5 +179,5 @@
       t_atm_co2_flx     =  atcco2      ! Total atmospheric pCO2
  
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('flx ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zligand.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zligand.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zligand.F90	(revision 12210)
@@ -94,5 +94,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('ligand1')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zlys.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zlys.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zlys.F90	(revision 12210)
@@ -129,5 +129,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
         WRITE(charout, FMT="('lys ')")
         CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zmeso.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zmeso.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zmeso.F90	(revision 12210)
@@ -255,5 +255,5 @@
       IF (ln_ligand)  DEALLOCATE( zz2ligprod )
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
         WRITE(charout, FMT="('meso')")
         CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zmicro.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zmicro.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zmicro.F90	(revision 12210)
@@ -207,5 +207,5 @@
       IF (ln_ligand)  DEALLOCATE( zzligprod )
       !
-      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('micro')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zmort.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zmort.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zmort.F90	(revision 12210)
@@ -118,5 +118,5 @@
       END DO
       !
-       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+       IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('nano')")
          CALL prt_ctl_trc_info(charout)
@@ -193,5 +193,5 @@
       END DO
       !
-      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('diat')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zpoc.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zpoc.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zpoc.F90	(revision 12210)
@@ -248,5 +248,5 @@
       ENDIF
 
-     IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+     IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
         WRITE(charout, FMT="('poc1')")
         CALL prt_ctl_trc_info(charout)
@@ -460,5 +460,5 @@
      ENDIF
 
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('poc2')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zprod.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zprod.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zprod.F90	(revision 12210)
@@ -456,5 +456,5 @@
      ENDIF
 
-     IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+     IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('prod')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zrem.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zrem.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zrem.F90	(revision 12210)
@@ -207,5 +207,5 @@
       END DO
 
-       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+       IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('rem1')")
          CALL prt_ctl_trc_info(charout)
@@ -233,5 +233,5 @@
       END DO
 
-       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+       IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('rem2')")
          CALL prt_ctl_trc_info(charout)
@@ -268,5 +268,5 @@
       END DO
 
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('rem3')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zsed.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zsed.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zsed.F90	(revision 12210)
@@ -348,5 +348,5 @@
       ENDIF
       !
-      IF(ln_ctl) THEN  ! print mean trends (USEd for debugging)
+      IF(sn_cfctl%l_prttrc) THEN  ! print mean trends (USEd for debugging)
          WRITE(charout, fmt="('sed ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zsink.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zsink.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p4zsink.F90	(revision 12210)
@@ -172,5 +172,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('sink')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p5zmeso.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p5zmeso.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p5zmeso.F90	(revision 12210)
@@ -376,5 +376,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
         WRITE(charout, FMT="('meso')")
         CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p5zmicro.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p5zmicro.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p5zmicro.F90	(revision 12210)
@@ -318,5 +318,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('micro')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p5zmort.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p5zmort.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p5zmort.F90	(revision 12210)
@@ -119,5 +119,5 @@
       END DO
       !
-       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+       IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('nano')")
          CALL prt_ctl_trc_info(charout)
@@ -180,5 +180,5 @@
       END DO
       !
-       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+       IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('pico')")
          CALL prt_ctl_trc_info(charout)
@@ -258,5 +258,5 @@
       END DO
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('diat')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p5zprod.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p5zprod.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/P4Z/p5zprod.F90	(revision 12210)
@@ -554,5 +554,5 @@
      ENDIF
 
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('prod')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/SED/trcdmp_sed.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/SED/trcdmp_sed.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/PISCES/SED/trcdmp_sed.F90	(revision 12210)
@@ -106,5 +106,5 @@
       !
       !                                          ! print mean trends (used for debugging)
-      IF( ln_ctl ) THEN
+      IF( sn_cfctl%l_prttrc ) THEN
          WRITE(charout, FMT="('dmp ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcadv.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcadv.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcadv.F90	(revision 12210)
@@ -135,5 +135,5 @@
       END SELECT
       !                  
-      IF( ln_ctl ) THEN                         !== print mean trends (used for debugging)
+      IF( sn_cfctl%l_prttrc ) THEN        !== print mean trends (used for debugging)
          WRITE(charout, FMT="('adv ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcbbl.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcbbl.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcbbl.F90	(revision 12210)
@@ -67,5 +67,5 @@
          !
          CALL tra_bbl_dif( trb, tra, jptra )  
-         IF( ln_ctl )   THEN
+         IF( sn_cfctl%l_prttrc )   THEN
             WRITE(charout, FMT="(' bbl_dif')")  ;  CALL prt_ctl_trc_info(charout)
             CALL prt_ctl_trc( tab4d=tra, mask=tmask, clinfo=ctrcnm, clinfo2='trd' )
@@ -78,5 +78,5 @@
          !
          CALL tra_bbl_adv( trb, tra, jptra )  
-         IF( ln_ctl )   THEN
+         IF( sn_cfctl%l_prttrc )   THEN
             WRITE(charout, FMT="(' bbl_adv')")  ;  CALL prt_ctl_trc_info(charout)
             CALL prt_ctl_trc( tab4d=tra, mask=tmask, clinfo=ctrcnm, clinfo2='trd' )
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcdmp.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcdmp.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcdmp.F90	(revision 12210)
@@ -156,5 +156,5 @@
       IF( l_trdtrc )  DEALLOCATE( ztrtrd )
       !                                          ! print mean trends (used for debugging)
-      IF( ln_ctl ) THEN
+      IF( sn_cfctl%l_prttrc ) THEN
          WRITE(charout, FMT="('dmp ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcldf.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcldf.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcldf.F90	(revision 12210)
@@ -110,5 +110,5 @@
       ENDIF
       !                
-      IF( ln_ctl ) THEN                        ! print mean trends (used for debugging)
+      IF( sn_cfctl%l_prttrc ) THEN ! print mean trends (used for debugging)
          WRITE(charout, FMT="('ldf ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcnxt.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcnxt.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcnxt.F90	(revision 12210)
@@ -189,5 +189,5 @@
       IF( l_trdtrc ) DEALLOCATE( ztrdt ) 
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('nxt')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcrad.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcrad.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcrad.F90	(revision 12210)
@@ -65,5 +65,5 @@
       IF( ln_my_trc  )   CALL trc_rad_sms( kt, trb, trn, jp_myt0, jp_myt1               )  !  MY_TRC model
       !
-      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('rad')")
          CALL prt_ctl_trc_info( charout )
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcsbc.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcsbc.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trcsbc.F90	(revision 12210)
@@ -191,5 +191,5 @@
       ENDIF
       !
-      IF( ln_ctl )   THEN
+      IF( sn_cfctl%l_prttrc )   THEN
          WRITE(charout, FMT="('sbc ')") ;  CALL prt_ctl_trc_info(charout)
                                            CALL prt_ctl_trc( tab4d=tra, mask=tmask, clinfo=ctrcnm, clinfo2='trd' )
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trczdf.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trczdf.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/TRP/trczdf.F90	(revision 12210)
@@ -65,5 +65,5 @@
       ENDIF
       !                                          ! print mean trends (used for debugging)
-      IF( ln_ctl )   THEN
+      IF( sn_cfctl%l_prttrc )   THEN
          WRITE(charout, FMT="('zdf ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/prtctl_trc.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/prtctl_trc.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/prtctl_trc.F90	(revision 12210)
@@ -35,5 +35,5 @@
    SUBROUTINE prt_ctl_trc( tab4d, mask, clinfo, ovlap, kdim, clinfo2 )
       !!----------------------------------------------------------------------
-      !!                     ***  ROUTINE prt_ctl  ***
+      !!                     ***  ROUTINE prt_ctl_trc  ***
       !!
       !! ** Purpose : - print sum control 3D arrays over the same area 
@@ -41,5 +41,5 @@
       !!                debugging a new parametrization in mono or mpp. 
       !!
-      !! ** Method  : 2 possibilities exist when setting the ln_ctl parameter to
+      !! ** Method  : 2 possibilities exist when setting the sn_cfctl%prttrc parameter to
       !!                .true. in the ocean namelist:
       !!              - to debug a MPI run .vs. a mono-processor one; 
@@ -54,6 +54,6 @@
       !!              - All arguments of the above calling sequence are optional so their
       !!                name must be explicitly typed if used. For instance if the mask
-      !!                array tmask(:,:,:) must be passed through the prt_ctl subroutine, 
-      !!                it must looks like: CALL prt_ctl( mask=tmask ).
+      !!                array tmask(:,:,:) must be passed through the prt_ctl_trc subroutine, 
+      !!                it must look like: CALL prt_ctl_trc( mask=tmask ).
       !!----------------------------------------------------------------------
       REAL(wp)         , DIMENSION(:,:,:,:), INTENT(in), OPTIONAL ::   tab4d     ! 4D array
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/trcini.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/trcini.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/trcini.F90	(revision 12210)
@@ -140,5 +140,5 @@
       ENDIF
       IF(lwp) WRITE(numout,*)
-      IF(ln_ctl) THEN            ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc) THEN            ! print mean trends (used for debugging)
          CALL prt_ctl_trc_init
          WRITE(charout, FMT="('ini ')")
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/trcsms.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/trcsms.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/trcsms.F90	(revision 12210)
@@ -55,5 +55,5 @@
       IF( ln_my_trc  )   CALL trc_sms_my_trc ( kt )    ! MY_TRC  tracers
 
-      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc) THEN                       ! print mean trends (used for debugging)
          WRITE(charout, FMT="('sms ')")
          CALL prt_ctl_trc_info( charout )
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/trcstp.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/trcstp.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/src/TOP/trcstp.F90	(revision 12210)
@@ -69,5 +69,5 @@
       ENDIF
       !
-      ll_trcstat  = ( ln_ctl .OR. sn_cfctl%l_trcstat ) .AND. &
+      ll_trcstat  = ( sn_cfctl%l_trcstat ) .AND. &
      &              ( ( MOD( kt, sn_cfctl%ptimincr ) == 0 ) .OR. ( kt == nitend ) )
       IF( kt == nittrc000 .AND. lk_trdmxl_trc )  CALL trd_mxl_trc_init    ! trends: Mixed-layer
@@ -77,5 +77,5 @@
             cvol(:,:,jk) = e1e2t(:,:) * e3t_n(:,:,jk) * tmask(:,:,jk)
          END DO
-         IF ( ln_ctl .OR. kt == nitrst .OR. ( ln_check_mass .AND. kt == nitend )              &
+         IF ( ll_trcstat .OR. kt == nitrst .OR. ( ln_check_mass .AND. kt == nitend )   &
             & .OR. iom_use( "pno3tot" ) .OR. iom_use( "ppo4tot" ) .OR. iom_use( "psiltot" )   &
             & .OR. iom_use( "palktot" ) .OR. iom_use( "pfertot" ) )                           &
@@ -89,5 +89,5 @@
       IF( MOD( kt , nn_dttrc ) == 0 ) THEN      ! only every nn_dttrc time step
          !
-         IF(ln_ctl) THEN
+         IF(sn_cfctl%l_prttrc) THEN
             WRITE(charout,FMT="('kt =', I4,'  d/m/y =',I2,I2,I4)") kt, nday, nmonth, nyear
             CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/BENCH/MY_SRC/zdfiwm.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/BENCH/MY_SRC/zdfiwm.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/BENCH/MY_SRC/zdfiwm.F90	(revision 12210)
@@ -365,5 +365,5 @@
       CALL iom_put( "emix_iwm", zemx_iwm )
       
-      IF(ln_ctl)   CALL prt_ctl(tab3d_1=zav_wave , clinfo1=' iwm - av_wave: ', tab3d_2=avt, clinfo2=' avt: ', kdim=jpk)
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl(tab3d_1=zav_wave , clinfo1=' iwm - av_wave: ', tab3d_2=avt, clinfo2=' avt: ', kdim=jpk)
       !
    END SUBROUTINE zdf_iwm
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/CANAL/MY_SRC/stpctl.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/CANAL/MY_SRC/stpctl.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/CANAL/MY_SRC/stpctl.F90	(revision 12210)
@@ -72,5 +72,5 @@
       !
       ll_wrtstp  = ( MOD( kt, sn_cfctl%ptimincr ) == 0 ) .OR. ( kt == nitend )
-      ll_colruns = ll_wrtstp .AND. ( ln_ctl .OR. sn_cfctl%l_runstat )
+      ll_colruns = ll_wrtstp .AND. ( sn_cfctl%l_prtctl .OR. sn_cfctl%l_runstat )
       ll_wrtruns = ll_colruns .AND. lwm
       IF( kt == nit000 .AND. lwp ) THEN
@@ -82,5 +82,5 @@
          !                                ! open run.stat file(s) at start whatever
          !                                ! the value of sn_cfctl%ptimincr
-         IF( lwm .AND. ( ln_ctl .OR. sn_cfctl%l_runstat ) ) THEN
+         IF( lwm .AND. ( sn_cfctl%l_prtctl .OR. sn_cfctl%l_runstat ) ) THEN
             CALL ctl_opn( numrun, 'run.stat', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, narea )
             clname = 'run.stat.nc'
@@ -147,5 +147,5 @@
       END IF
       !                                   !==  error handling  ==!
-      IF( ( ln_ctl .OR. lsomeoce ) .AND. (   &             ! have use mpp_max (because ln_ctl=.T.) or contains some ocean points
+      IF( ( sn_cfctl%l_prtctl .OR. lsomeoce ) .AND. (   &             ! have use mpp_max (because sn_cfctl%l_prtctl=.T.) or contains some ocean points
          &  zmax(1) >   50._wp .OR.   &                    ! too large sea surface height ( > 50 m )
          &  zmax(2) >   20._wp .OR.   &                    ! too large velocity ( > 20 m/s)
@@ -154,5 +154,5 @@
 !!$         &  zmax(4) <    0._wp .OR.   &                    ! too large sea surface salinity (keep this line for sea-ice)
          &  ISNAN( zmax(1) + zmax(2) + zmax(3) ) ) ) THEN   ! NaN encounter in the tests
-         IF( lk_mpp .AND. ln_ctl ) THEN
+         IF( lk_mpp .AND. sn_cfctl%l_prtctl ) THEN
             CALL mpp_maxloc( 'stpctl', ABS(sshn)        , ssmask(:,:)  , zzz, ih  )
             CALL mpp_maxloc( 'stpctl', ABS(un)          , umask (:,:,:), zzz, iu  )
@@ -175,5 +175,5 @@
          CALL dia_wri_state( 'output.abort' )     ! create an output.abort file
          
-         IF( .NOT. ln_ctl ) THEN
+         IF( .NOT. sn_cfctl%l_prtctl ) THEN
             WRITE(ctmp8,*) 'E R R O R message from sub-domain: ', narea
             CALL ctl_stop( 'STOP', ctmp1, ' ', ctmp8, ' ', ctmp2, ctmp3, ctmp4, ctmp5, ctmp6 )
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/CANAL/MY_SRC/trazdf.F90
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/CANAL/MY_SRC/trazdf.F90	(revision 12209)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/CANAL/MY_SRC/trazdf.F90	(revision 12210)
@@ -99,5 +99,5 @@
       ENDIF
       !                                          ! print mean trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' zdf  - Ta: ', mask1=tmask,               &
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' zdf  - Ta: ', mask1=tmask,               &
          &                       tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       !
